// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    
    repositories {
        maven{ url 'https://maven.aliyun.com/repository/public/'}
        mavenLocal()
        google()
        jcenter()
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.1.0-rc01'
        classpath 'org.greenrobot:greendao-gradle-plugin:3.3.0'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        maven{url 'https://maven.aliyun.com/repository/public/'}
        mavenLocal()
        mavenCentral()
        google()
        jcenter()
        maven { url "https://jitpack.io" }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
